### Struct

# Qmi MessageLocStartInput

since: 1.20

#### Description [src]

    struct QmiMessageLocStartInput {
      /* No available fields */
    }

The `QmiMessageLocStartInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.20

#### Constructors

###### qmi_message_loc_start_input_new

Allocates a new `QmiMessageLocStartInput`.

since: 1.20

#### Instance methods

###### qmi_message_loc_start_input_get_fix_recurrence_type

Get the ‘Fix Recurrence Type’ field from `self`.

since: 1.22

###### qmi_message_loc_start_input_get_intermediate_report_state

Get the ‘Intermediate Report State’ field from `self`.

since: 1.20

###### qmi_message_loc_start_input_get_minimum_interval_between_position_reports

Get the ‘Minimum Interval between Position Reports’ field from `self`.

since: 1.22

###### qmi_message_loc_start_input_get_session_id

Get the ‘Session ID’ field from `self`.

since: 1.20

###### qmi_message_loc_start_input_ref

Atomically increments the reference count of `self` by one.

since: 1.20

###### qmi_message_loc_start_input_set_fix_recurrence_type

Set the ‘Fix Recurrence Type’ field in the message.

since: 1.22

###### qmi_message_loc_start_input_set_intermediate_report_state

Set the ‘Intermediate Report State’ field in the message.

since: 1.20

###### qmi_message_loc_start_input_set_minimum_interval_between_position_reports

Set the ‘Minimum Interval between Position Reports’ field in the message.

since: 1.22

###### qmi_message_loc_start_input_set_session_id

Set the ‘Session ID’ field in the message.

since: 1.20

###### qmi_message_loc_start_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.20